Author Topic: Webseite mit PHP 7.2 nicht kompatibel  (Read 1307 times)

0 Members and 1 Guest are viewing this topic.

Offline nobby

  • 4images Guru
  • *******
  • Posts: 2.863
    • View Profile
Re: Webseite mit PHP 7.2 nicht kompatibel
« Reply #15 on: April 15, 2020, 09:18:55 PM »
 :idea: :) :thumbup:

Offline kai

  • Administrator
  • Addicted member
  • *****
  • Posts: 1.408
    • View Profile
    • 4images - Image Gallery Management System
Re: Webseite mit PHP 7.2 nicht kompatibel
« Reply #16 on: April 16, 2020, 02:17:09 PM »
 :thumbup:

Ich habe mir den Sourcecode von 4images mal genauer angeschaut und kann nun Licht ins dunkel bringen.

Das gute Vorab:
Es spielt keine Rolle, ob ihr PHP 7.0, 7.0.33 oder (so wie ich, das aktuelle 7.3.15) einsetzt - 4images in Version 1.8 wird auch unter allen aktuell verfügbaren Versionen von PHP 7 laufen!

Die entscheidende Konfiguration von 4images steht in der nachfolgenden Zeile in der Datei config.php:
Code: [Select]
$db_servertype = "mysql";ändert diese Zeile einfach in:
Code: [Select]
$db_servertype = "mysqli";
Your first three "must do" before you ask a question:
1. Forum rules
2. FAQ
3. Search

Offline parkshots

  • Newbie
  • *
  • Posts: 13
    • View Profile
Re: Webseite mit PHP 7.2 nicht kompatibel
« Reply #17 on: May 12, 2020, 12:47:50 PM »
Hallo,

kurze Verständnisfrage: Mit der Umstellung auf "mysqli" bekomme ich im Adminbereich unter Datenbank Backup die Meldung "Note: You are not using MySQL. Maybe the backup function won't work!" Ein Backup lässt sich zwar noch ausführen, die generierte SQL Datei ist jedoch nur noch ca. halb so groß wie vorher. Ist die Backup Funktion nicht mehr nutzbar?

Offline Jan-Lukas

  • Addicted member
  • ******
  • Posts: 1.287
    • View Profile
    • Discover the New World of Kindersurprise
Re: Webseite mit PHP 7.2 nicht kompatibel
« Reply #18 on: May 12, 2020, 07:14:59 PM »
:thumbup:

Ich habe mir den Sourcecode von 4images mal genauer angeschaut und kann nun Licht ins dunkel bringen.

Das gute Vorab:
Es spielt keine Rolle, ob ihr PHP 7.0, 7.0.33 oder (so wie ich, das aktuelle 7.3.15) einsetzt - 4images in Version 1.8 wird auch unter allen aktuell verfügbaren Versionen von PHP 7 laufen!

Die entscheidende Konfiguration von 4images steht in der nachfolgenden Zeile in der Datei config.php:
Code: [Select]
$db_servertype = "mysql";ändert diese Zeile einfach in:
Code: [Select]
$db_servertype = "mysqli";

Huch... Wer bist Du denn ??
Danke Harald




 

Post your comments here